/**********************************************************************-*-C-*-
 *
 * portlib.h - This file is part of `xradio'
 *
 * Copyright (C) 1996 Pat Thoyts (thoyts@bsa.bristol.ac.uk)
 *
 *****************************************************************************/

#ifndef _PORTLIB_H
#define _PORTLIB_H

#include <stdio.h>

/*Define this for debugging writes to ports.*/
/*#define DEBUG_PORTLIB 1 */

int allow_io ( unsigned long base, unsigned long num );
int disallow_io ( unsigned long base, unsigned long num );

unsigned int read_byte ( unsigned int port );
unsigned int read_word ( unsigned int port );

void write_byte ( unsigned int byte, unsigned int port );
void write_word ( unsigned long word, unsigned int port );

void print_ports ( FILE* stream, unsigned long base, unsigned long num );

#endif /* _PORTLIB_H */

